<?php
if (!defined('_DIR_PLUGIN_EVAPODCAST')){
	$p=explode(basename(_DIR_PLUGINS)."/",str_replace('\\','/',realpath(dirname(dirname(__FILE__)))));
	define('_DIR_PLUGIN_EVAPODCAST',(_DIR_PLUGINS.end($p)));
}

function exec_eva_pod() {
   include_spip('base/db_mysql');
	include_spip('base/abstract_sql');
   include_spip('inc/presentation');
   include_spip('base/spip_types_documents');

   echo debut_page(_T('evapod:EVA_nom'));	 
   echo "<br />";
   echo gros_titre(_T('evapod:gros_titre_page'));
   echo debut_gauche();
	
   echo debut_boite_info();
   echo _T('evapod:presentation_aac');
   echo fin_boite_info();
		
   echo debut_droite();
   echo debut_cadre_trait_couleur("jclic.gif", false, "", _T('evapod:titre_boite_principale'));       
   echo debut_cadre_couleur();
// simple test de lire_config()
   echo _T('evapod:explications');
   
	$table = 'spip_types_documents';
	$champ = 'extension';
   $requete = "SELECT id_type FROM ".$table." WHERE ".$champ."='m4a'";
   $resultat1 = spip_query($requete);
   $nombre = spip_num_rows($resultat1);

	echo _T('evapod:verifications');
	if ($nombre > 1) {
	echo 'Il y a un problème dans votre base de données.<br/>';
	fin();
	}
	else if ($nombre == 1){
	echo 'Le format m4a est déjà supporté par votre site<br/>';
	fin();
	} else {
	echo 'Le format m4a n\'est pas supporté<br/>';
	echo 'Ce site va être maintenant être configuré pour supporter ce format<br/>';
	
	//Dans la table spip_mots_articles, r&eacute;cup&eacute;rer tous les ID articles associ&eacute;s à ID jclic

	$ajout = "INSERT INTO ".$table." (titre,extension,inclus,upload) VALUES ('M4A','m4a','embed','oui')";
   $resultat2 = spip_query($ajout);
   echo 'La requête est terminée<br/>';
	}
	echo '<br/>';
	echo _T('evapod:copier_image_m4a');
	echo '<img src="'._DIR_PLUGIN_EVAPODCAST.'/img_pack/m4a.png" border="0" alt="">';
}				

function fin() {

}

	
	?>
	